/*
 Theme Name:   JB Stack Framework
 Description:  Tema hijo optimizado para alto rendimiento y despliegue de infraestructura LEMP. Desarrollado a medida para proyectos empresariales.
 Author:       Jimmy Balbin - Full Stack Consultant
 Template:     hello-elementor
 Version:      1.0.0
 Text Domain:  jimdev.online
*/
.jb-btn {
    padding: 12px;
    width: 100%;
    position: relative;
    display: block;
    text-align: center;
    font-size: 16.2px;
	font-weight: bold;
    line-height: 23.8px;
    border-radius: 10px;
	color: #ffffff;
}
.jb-btn:hover {
    color: #cccccc !important;
}
.jb-btn-tarifas{
	background-color: #075357;
}
.jb-btn-facturacion{
	background-color: #000000;
}
@media (min-width: 1024px) {
    .menu-principal .elementor-item {
        overflow: hidden;
        position: relative;
        display: inline-block;
        vertical-align: middle;
    }

    .menu-principal .wave-text-wrapper {
        display: flex;
        position: relative;
        height: 1.4em;
        line-height: 1.4em;
        overflow: hidden;
    }

    .menu-principal .wave-letter {
        display: inline-block;
        position: relative;
        height: 100%;
    }

    .menu-principal .letter-orig,
    .menu-principal .letter-clone {
        display: block;
        backface-visibility: hidden;
        transition: transform 0.35s cubic-bezier(0.65, 0.05, 0, 1);
    }

    .menu-principal .letter-orig {
        opacity: 1;
        transition: transform 0.35s cubic-bezier(0.65, 0.05, 0, 1), opacity 0.3s ease;
        transition-delay: calc(var(--i) * 0.02s);
    }

    .menu-principal .letter-clone {
        position: absolute;
        top: 0;
        left: 0;
        transform: translateY(100%); 
        opacity: 0; 
        transition: transform 0.35s cubic-bezier(0.65, 0.05, 0, 1), opacity 0.2s ease;
        transition-delay: calc(var(--i) * 0.02s), 0s;
    }
    .menu-principal .elementor-item:hover .letter-orig {
        transform: translateY(-100%);
        opacity: 0;
    }

    .menu-principal .elementor-item:hover .letter-clone {
        transform: translateY(0);
        opacity: 1;
        transition-delay: calc(var(--i) * 0.02s), 0s; 
    }
}